--- a/examiner/Makefile
+++ b/examiner/Makefile
@@ -95,6 +95,8 @@
     LINK_ARGS:=
 endif
 
+LINK_ARGS += ${ADA_LINK}
+
 ################################################################################
 # TARGETS
 ################################################################################
--- a/pogs/Makefile
+++ b/pogs/Makefile
@@ -45,6 +45,7 @@
 
 # Files containing platform specific code that is handled by gnatprep
 PREP_TARGETS:=${SPARK_PREPED}
+LINK_ARGS:=${ADA_LINK}
 
 ################################################################################
 # TARGETS
@@ -53,7 +54,7 @@
 all: ${OUTPUT_NAME}${EXE_EXTN}
 
 ${OUTPUT_NAME}${EXE_EXTN}: preamble prep
-	gnatmake -j${SPARKCPUS} ${GNATMAKE_OPTS} ${OUTPUT_NAME} -o $@ -bargs ${BIND_OPTS}
+	gnatmake -j${SPARKCPUS} ${GNATMAKE_OPTS} ${OUTPUT_NAME} -o $@ -bargs ${BIND_OPTS} -largs ${LINK_ARGS}
 
 self-analysis: preamble prep
 	-spark -plain @${OUTPUT_NAME}.smf
--- a/sparkformat/Makefile
+++ b/sparkformat/Makefile
@@ -68,6 +68,8 @@
     LINK_ARGS:=
 endif
 
+LINK_ARGS += ${ADA_LINK}
+
 ################################################################################
 # TARGETS
 ################################################################################
--- a/sparkmake/Makefile
+++ b/sparkmake/Makefile
@@ -34,6 +34,7 @@
 
 # Location of common.
 COMMON:=${ROOT}/common
+LINK_ARGS:=${ADA_LINK}
 
 include ${COMMON}/Makefile.inc
 
@@ -44,7 +45,7 @@
 all: ${OUTPUT_NAME}${EXE_EXTN}
 
 ${OUTPUT_NAME}${EXE_EXTN}: preamble prep parser
-	gnatmake -j${SPARKCPUS} ${GNATMAKE_OPTS} ${OUTPUT_NAME} -o $@ -bargs ${BIND_OPTS}
+	gnatmake -j${SPARKCPUS} ${GNATMAKE_OPTS} ${OUTPUT_NAME} -o $@ -bargs ${BIND_OPTS} -largs ${LINK_ARGS}
 
 self-analysis: preamble prep parser
 	-spark -plain @${OUTPUT_NAME}.smf
--- a/sparksimp/Makefile
+++ b/sparksimp/Makefile
@@ -41,7 +41,7 @@
 # PLATFORM INDEPENDENT CONFIGURATION
 ################################################################################
 
-LINK_ARGS:=new_expect.o
+LINK_ARGS:=new_expect.o ${ADA_LINK}
 
 ################################################################################
 # TARGETS
--- a/victor_wrapper/Makefile
+++ b/victor_wrapper/Makefile
@@ -34,6 +34,7 @@
 
 # Location of common.
 COMMON:=${ROOT}/common
+LINK_ARGS:=${ADA_LINK}
 
 include ${COMMON}/Makefile.inc
 
@@ -44,7 +45,7 @@
 all: ${OUTPUT_NAME}${EXE_EXTN}
 
 ${OUTPUT_NAME}${EXE_EXTN}: preamble prep
-	gnatmake -j${SPARKCPUS} ${GNATMAKE_OPTS} ${OUTPUT_NAME} -o $@ -bargs ${BIND_OPTS}
+	gnatmake -j${SPARKCPUS} ${GNATMAKE_OPTS} ${OUTPUT_NAME} -o $@ -bargs ${BIND_OPTS} -largs ${LINK_ARGS}
 
 self-analysis: preamble prep
 	-spark -plain @${OUTPUT_NAME}.smf
--- a/wraputility/Makefile
+++ b/wraputility/Makefile
@@ -34,6 +34,7 @@
 
 # Location of common.
 COMMON:=${ROOT}/common
+LINK_ARGS:=${ADA_LINK}
 
 include ${COMMON}/Makefile.inc
 
@@ -44,7 +45,7 @@
 all: ${OUTPUT_NAME}${EXE_EXTN}
 
 ${OUTPUT_NAME}${EXE_EXTN}: preamble prep
-	gnatmake -j${SPARKCPUS} ${GNATMAKE_OPTS} ${OUTPUT_NAME} -o $@ -bargs ${BIND_OPTS}
+	gnatmake -j${SPARKCPUS} ${GNATMAKE_OPTS} ${OUTPUT_NAME} -o $@ -bargs ${BIND_OPTS} -largs ${LINK_ARGS}
 
 self-analysis: preamble prep
 	-spark -plain @${OUTPUT_NAME}.smf
